EDIT - feature request #6501

Improve validation rules for name types
03/13/2017 10:05 PM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

Copied from #6363.

To improve this functionality we could add specific messages for each attribute. Also we could handle the exception more specific in
the TaxEditor.

Related issues:

Related to EDIT - feature request #6361: [MASTER] Merge all TaxonName classes... Closed
Related to EDIT - feature request #6956: [Rule] Implement validation rules fo... New
Copied from EDIT - feature request #6363: Implement validation rules for all ... Closed
History

#1 - 03/13/2017 10:05 PM - Andreas Miller

- Copied from feature request #6363: Implement validation rules for all names according to their code added

#2 - 03/13/2017 10:06 PM - Andreas Miiller
- Tracker changed from bug to feature request

- Parent task set to #6361

#3 - 06/05/2017 05:05 PM - Andreas Miiller
- Parent task deleted (#6361)

#4 - 06/05/2017 05:05 PM - Andreas Miiller
- Related to feature request #6361: [MASTER] Merge all TaxonName classes into 1 class added

#5 - 09/19/2017 12:48 PM - Andreas Miiller

- Related to feature request #6956: [Rule] Implement validation rules for virus names added
